Skip to main content
GET
/
plans
/
pricing
Get all data plan pricing
curl --request GET \
  --url https://dashboard.hologram.io/api/1/plans/pricing \
  --header 'Authorization: Basic <encoded-value>'
{
  "success": true,
  "data": [
    {
      "plan_id": 123,
      "pricing_id": 123,
      "zone": "<string>",
      "account_tier": "<string>",
      "amount": 123,
      "sms": 123,
      "overage": 123,
      "zero_data_rate": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key. You can find your API key on the Hologram Dashboard under Account Settings.

Query Parameters

orgid
integer

Filter results to this organization ID

planid
integer

Filter pricing to a specific plan ID

planids
string

Comma-separated list of plan IDs to filter pricing by

haszdr
boolean

When true, return only pricing entries that have a zero data rate configured (zero_data_rate_flag = 1)

zone
string

Filter pricing to a specific availability zone (e.g. global)

Response

OK

success
boolean

Indicates whether the request was successful.

Example:

true

data
object[]